### Hierarchy

- BaseForLines
  - TransparentColor

### Implements

- IColor

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- isTransparent
- toHex
- toRgb
- toSourceString
- toString

## Constructors

### constructor

- new TransparentColor(source: IGameCode): TransparentColor

- Overrides BaseForLines.constructor

  - Defined in models/colors.ts:39

  #### Parameters

  - ##### source: IGameCode

  #### Returns TransparentColor

## Properties

### __coverageCount

__coverageCount: Optional<number>

Implementation of IColor.__coverageCount

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Implementation of IColor.__source

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Implementation of IColor.__getLineAndColumnRange

  Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Implementation of IColor.__getSourceLineAndColumn

  Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### isTransparent

- isTransparent(): boolean

- - Defined in models/colors.ts:44

  #### Returns boolean

### toHex

- toHex(): string

- - Defined in models/colors.ts:48

  #### Returns string

### toRgb

- toRgb(): RGB

- - Defined in models/colors.ts:45

  #### Returns RGB

### toSourceString

- toSourceString(): string

- Implementation of IColor.toSourceString

  Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Implementation of IColor.toString

  Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

Generated using TypeDoc